Android studio 安装步骤

  • 时间:
  • 来源:互联网
  • 文章标签:

Android studio 安装步骤

  1. Android studio下载地址

  2. 下载好安装包后安装步骤:
    新建一个Android
    在新建的Android下面建skd、studio、work文件夹
    在这里插入图片描述

    依次进行下面的步骤
    点击next
    点击next
    next
    在这里插入图片描述


选择对应文件路径到开始新建的空文件夹
第一个为Android studio安装路径
第二个为sdk工具包路径
在这里插入图片描述

点击install进行安装
在这里插入图片描述
等待安装后点next

在这里插入图片描述

在这里插入图片描述
在这里插入图片描述

配置环境

打开Android studio后,进入相关配置界面,第一次安装时,没有以往配置的数据,所以选择第二个选项。如果以往安装过AS,有过他的配置,那么可以选择第一个,导入配置。

如下,直接点击OK
在这里插入图片描述
点击cancel
在这里插入图片描述
然后进入到了AS的安装向导界面

在这里插入图片描述
选择第一个标准版本standredr 然后next
在这里插入图片描述

说明:这一步是要选择的,安装SDK组件。这里需要指定SDK的本地路径,如果之前电脑中已经存在SDK,可以指定该路径,后续就可以不用下载SDK;如果本地没有安装过SDK的场景,可以暂时指定一个后续将保存SDK的路径;我这里演示的是本地没有安装过SDK的场景,这里暂时指定一个后续将保存SDK的路径,就是前面我们建的sdk。

有些教程建议安装完后,SDK单独下载,此处通过Android studio直接安装即

可。
在这里插入图片描述
在这里插入图片描述
下载完成SDK后,点击Finish进入AS的欢迎界面
在这里插入图片描述

配置AS第一次运行环境,并且能成功编译运行一个APP,以helloworld为例。

点击上图中的Start a new Android Studio project新建一个工程,进入下面的界面,

Project location 选择自己刚开始新建的work文件夹。
第二个为公司域名,默认根据它生成包名

在这里插入图片描述
只选phone and tablet, Minimun sdk
在这里插入图片描述
next
在这里插入图片描述
选一个空的empty Activity 点next
在这里插入图片描述
在这里插入图片描述

到此,一个工程建立完成,第一次建立的工程会发现卡在下面的启动界面,稍等一会

在这里插入图片描述
工程打开,点击close
在这里插入图片描述

有的打开正常未标红,有点打开报下面的错误,
这是由于gaggle版本不兼容的问题

Android studio的SDK工具版本低于工程需要的SDK工具版本,SDK Build-Tools与工程所需的不一致。

在这里插入图片描述
打开project下src下的build.graddle文件

在这里插入图片描述
查看自己的SDK工具版本,点开SDK Manager图标,然后选中Updates
在这里插入图片描述

接下来查看SDK构建工具(sdk Build-Tools)的版本,只看打勾选项就行
我刚开始没有构建,所以为noll,还需要重新构建
点击Android SDK Location位置的edit:更改默认位置到刚开始新建的D盘下的Android下的sdk文件夹

在这里插入图片描述
勾选API
在这里插入图片描述
next
在这里插入图片描述
开始自动下载SDK(注意,此时需要保证电脑联网)
在这里插入图片描述
点击finish
在这里插入图片描述
此时已经构建好
在这里插入图片描述

在这里插入图片描述

点开项目构建文件Gradle Scripts,再继续点击build.gradle(Module:app)

在这里插入图片描述

在这里插入图片描述

在这里插入图片描述
在这里插入图片描述

在这里插入图片描述

在这里插入图片描述
我的版本最后改的兼容了
在这里插入图片描述

上述gradle构建完成之后,就可以点击下图中的build apk编译打包apk文件了,生成的apk文件路径如下图所示参考链接

参考链接
Android Studio安装及环境配置教程

Android Studio | Failed to resolve: com.android.support:appcompat-v7:29.+

Error:Failed to resolve: com.android.support:appcompat-v7:28.+ Ins报错如何解决解决

Failed to resolve:com.android.support:appcompat-v7第一次运行安卓程序报错

Android 解决: Failed to resolve: com.android.support:appcompat-v7:28.+ 错误

本文链接http://www.taodudu.cc/news/show-1781783.html